class EdlEventsPresenter
  def initialize(gateway)
    @gateway = gateway
  end

  def present
    {
      edl_events: edl_events,
      edl_attributes: edl_attributes,
      info_message: info_message,
    }
  end

  private

  attr_reader :gateway

  def edl_events
    gateway.edl_events
  end

  def edl_attributes
    edl_event = edl_events.first || EdlEvent.new
    edl_event.public_attributes
  end

  def info_message
    I18n.t("shared.info_message", count: edl_events.size)
  end
end
